package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;

/**
 *
 * @author fpalma
 */
public class V9_5_To_V9_6 extends AbstractUpdate
{
	
	public V9_5_To_V9_6()
	{
		super(9.5,9.6,"Relacao postoDeTrabalho <-> estabelecimento");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"create table hs_posto_estabelecimento(" +
					"		posto_id int4 REFERENCES hs_posto(id)," +
					"		estabelecimento_id int4 REFERENCES estabelecimentos(id)," +
					"		CONSTRAINT hs_posto_estabelecimento_pkey PRIMARY KEY(posto_id,estabelecimento_id)" +	
					");"
		);
		getExecuter().executeQuery( update );
	}
	
}
